EMF::EMRSETBKMODE(3)

NAME
EMF::EMRSETBKMODE - EMF Set Background Mode.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRSETBKMODE (DWORD mode)
EMRSETBKMODE (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Set Background Mode.

Set the background mode: transparent or opaque. Seems to be ignored by StarOffice. (Appears to work for text, though.)

Constructor & Destructor Documentation

  EMF::EMRSETBKMODE::EMRSETBKMODE (DWORD mode) [inline]

Parameters
    mode background mode.

References EMRSETBKMODE().

Referenced by EMRSETBKMODE().

  EMF::EMRSETBKMODE::EMRSETBKMODE (DATASTREAM & ds) [inline]
Construct a SetBkMode record from the input datastream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETBKMODE::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETBKMODE::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETBKMODE::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.